# Deep network: Dataset Class Reference

Dataset Class Referenceabstract

`#include <dataset.hpp>`

Inheritance diagram for Dataset:
[legend]

## Public Member Functions

| Dataset ()
size_t | get_train_size () const
size_t | get_test_size () const
size_t | get_y_size () const
virtual pair< Vector, Vector > | get_train (const size_t i) const =0
virtual pair< Vector, Vector > | get_test (const size_t i) const =0

## Protected Attributes

size_t | train_size
size_t | test_size
size_t | x_size
size_t | y_size

## Constructor & Destructor Documentation

## Dataset()

Dataset::Dataset | ( |  | ) |

inline

## Member Function Documentation

## get_test()

virtual pair< Vector, Vector > Dataset::get_test | ( | const size_t | i | ) | const

pure virtual

Implemented in Mnist.

## get_test_size()

size_t Dataset::get_test_size | ( |  | ) | const

inline

## get_train()

virtual pair< Vector, Vector > Dataset::get_train | ( | const size_t | i | ) | const

pure virtual

Implemented in Mnist.

## get_train_size()

size_t Dataset::get_train_size | ( |  | ) | const

inline

## get_y_size()

size_t Dataset::get_y_size | ( |  | ) | const

inline

## Member Data Documentation

## test_size

size_t Dataset::test_size

protected

## train_size

size_t Dataset::train_size

protected

## x_size

size_t Dataset::x_size

protected

## y_size

size_t Dataset::y_size

protected

The documentation for this class was generated from the following file:

- src/dataset.hpp